Subject: thanks

From: "b" <[email-masked]>
Date: Mon, 31 Jan 94 11:28:26 CST

Dear friends: yesterday I sent a E-mail to the [email-masked]. Today I
 received some response, thanks your response very much. I think I did not
 expain clearly something. I was a F-1 holder before I got my GC. My spouse and
 my daughter tried very hard to join me as F-2 visa. But they were not allowed
 to come as F-2, and forced to come as J-1 and J-2. In 1993, we tried very hard
 to ask the working unit to give us a letter to certisfy that my J-1 LAD did
 not spent any money from China (it is true fact), if we can get the letter, we
 can apply to waive the 2-year requirement. But we faied to get it. In Aug.1993
, when my Lads to apply for the PR in local INS, my spouse's application was
rejected due to not get the 2-year waive, but they accepted my daugher's. So
now my spouse's J-1 will be out of state on 2/14/93. He seems has no any other
choice, and has to go back to china. He seems has no way stay here, so he wrote
 several letters to his working unit in China and education minister and tell
 them he will go back to the former working unit after his J-1 expiring on 2/14
, however still no any responses from the former working unit and education uni
t. My daughter's application for PR was accepted but no interview, no receipt
notice, no any further information , we don't know what will happen. because
her J-2 visa will expire on 2/14/94 too.  Dear friends: we are so sad for this
situation, we don't know what we should do. We need your suggestions, expirence
s and any information. Thanks again for your kind help.   1/31/94